Ipopt 3.12.10

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Macros | Typedefs | Functions
hsl_ma86d.h File Reference

Go to the source code of this file.

## Classes
struct | ma86_control_d
struct | ma86_info_d

## Macros
#define | ma86_control ma86_control_d
#define | ma86_info ma86_info_d
#define | ma86_default_control ma86_default_control_d
#define | ma86_analyse ma86_analyse_d
#define | ma86_factor ma86_factor_d
#define | ma86_factor_solve ma86_factor_solve_d
#define | ma86_solve ma86_solve_d
#define | ma86_finalise ma86_finalise_d

## Typedefs
typedef double | ma86pkgtype_d_
typedef double | ma86realtype_d_

## Functions
void | ma86_default_control_d (struct ma86_control_d *control)
void | ma86_analyse_d (const int n, const int ptr[], const int row[], int order[], void **keep, const struct ma86_control_d *control, struct ma86_info_d *info)
void | ma86_factor_d (const int n, const int ptr[], const int row[], const ma86pkgtype_d_ val[], const int order[], void **keep, const struct ma86_control_d *control, struct ma86_info_d *info, const ma86realtype_d_ scale[])
void | ma86_factor_solve_d (const int n, const int ptr[], const int row[], const ma86pkgtype_d_ val[], const int order[], void **keep, const struct ma86_control_d *control, struct ma86_info_d *info, const int nrhs, const int ldx, ma86pkgtype_d_ x[], const ma86realtype_d_ scale[])
void | ma86_solve_d (const int job, const int nrhs, const int ldx, ma86pkgtype_d_ *x, const int order[], void **keep, const struct ma86_control_d *control, struct ma86_info_d *info, const ma86realtype_d_ scale[])
void | ma86_finalise_d (void **keep, const struct ma86_control_d *control)

## Macro Definition Documentation

#define ma86_control ma86_control_d

Definition at line 13 of file hsl_ma86d.h.

#define ma86_info ma86_info_d

Definition at line 14 of file hsl_ma86d.h.

#define ma86_default_control ma86_default_control_d

Definition at line 15 of file hsl_ma86d.h.

#define ma86_analyse ma86_analyse_d

Definition at line 16 of file hsl_ma86d.h.

#define ma86_factor ma86_factor_d

Definition at line 17 of file hsl_ma86d.h.

#define ma86_factor_solve ma86_factor_solve_d

Definition at line 18 of file hsl_ma86d.h.

#define ma86_solve ma86_solve_d

Definition at line 19 of file hsl_ma86d.h.

#define ma86_finalise ma86_finalise_d

Definition at line 20 of file hsl_ma86d.h.

## Typedef Documentation

typedef double ma86pkgtype_d_

Definition at line 23 of file hsl_ma86d.h.

typedef double ma86realtype_d_

Definition at line 24 of file hsl_ma86d.h.

## Function Documentation

void ma86_default_control_d | ( | struct ma86_control_d * | control | ) |

void ma86_analyse_d | ( | const int | n,
|  | const int | ptr[],
|  | const int | row[],
|  | int | order[],
|  | void ** | keep,
|  | const struct ma86_control_d * | control,
|  | struct ma86_info_d * | info
| ) |  |

void ma86_factor_d | ( | const int | n,
|  | const int | ptr[],
|  | const int | row[],
|  | const ma86pkgtype_d_ | val[],
|  | const int | order[],
|  | void ** | keep,
|  | const struct ma86_control_d * | control,
|  | struct ma86_info_d * | info,
|  | const ma86realtype_d_ | scale[]
| ) |  |

void ma86_factor_solve_d | ( | const int | n,
|  | const int | ptr[],
|  | const int | row[],
|  | const ma86pkgtype_d_ | val[],
|  | const int | order[],
|  | void ** | keep,
|  | const struct ma86_control_d * | control,
|  | struct ma86_info_d * | info,
|  | const int | nrhs,
|  | const int | ldx,
|  | ma86pkgtype_d_ | x[],
|  | const ma86realtype_d_ | scale[]
| ) |  |

void ma86_solve_d | ( | const int | job,
|  | const int | nrhs,
|  | const int | ldx,
|  | ma86pkgtype_d_ * | x,
|  | const int | order[],
|  | void ** | keep,
|  | const struct ma86_control_d * | control,
|  | struct ma86_info_d * | info,
|  | const ma86realtype_d_ | scale[]
| ) |  |

void ma86_finalise_d | ( | void ** | keep,
|  | const struct ma86_control_d * | control
| ) |  |